### Function

# FwupdPlugin CborItem new_boolean

since: 2.1.2

#### Declaration [src]

    FuCborItem*
    fu_cbor_item_new_boolean (
      gboolean value
    )

#### Description [src]

Creates a CBOR object representing a boolean.

Available since: 2.1.2

This function is not directly available to language bindings.

#### Parameters

`value`

  Type: `gboolean`

  Initial value.

#### Return value

Type: `FuCborItem`

A `FuCborItem`.

The caller of the function takes ownership of the data, and is responsible for freeing it.